# Danh sách tài khoản kế toán

* API này dùng để lấy [danh sách tài khoản kế toán](https://nhanh.vn/accounting/account/index).

## Request

* Xem [common request params](/v3/readme.md#request-params).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/accounting/account?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "filters": {
        "type": 1 
    },
    "paginator": {
        "size": 30
    }
}'
```

### Filters

| Key    | Type  | Description          |
| ------ | ----- | -------------------- |
| id     | int   | ID đối tượng         |
| types  | array | Loại đối tượng       |
| status | array | Trạng thái đối tượng |

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": "Dùng để lấy dữ liệu trang tiếp theo"
  },
  "data": [
    {
      "id": "(int) ID đối tượng",
      "parentId": "(int) ID đối tượng cha",
      "type": "(int) Loại đối tượng (1 = Tiền trong các ngân hàng, 3 = Tiền mặt cửa hàng, 7 = Tiền quẹt thẻ)",
      "code": "(string) Mã đối tượng",
      "name": "(string) Tên đối tượng",
      "status": "(int) Trạng thái đối tượng (1 = Kích hoạt, 2 = Không kích hoạt)",
      "label": "(string) Label hiển thị đối tượng",
      "level": "(int) Level đối tượng",
      "depotId" : "(int) ID kho hàng",
      "createdById": "(int) ID người tạo đối tượng",
      "createdAt": "(string) Thời gian tạo đối tượng"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/accounting/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
